%define pkgname gtk-engines
%define pkgversion 2
%define lib_name %mklibname %{pkgname}%{pkgversion}

%define cleanice_version 2.4.0
%define xfce_version 2.4.0
%define wonderland_version 0.47
%define mist_version 0.5

%define _requires_exceptions pkgconfig\(.*\)

%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

Name:			%{pkgname}%{pkgversion}
Summary:		Default GTK+ 2.0 theme engines
Version:		2.10.0
Release:		%mkrel 3
License:		GPL
Group:			System/Libraries
BuildRequires:		libglade2.0-devel
BuildRequires:		gtk+2-devel >= 2.6.0
BuildRequires:		perl-XML-Parser
Source0:		http://ftp.gnome.org/pub/GNOME/sources/gtk-engines/%{pkgname}-%{version}.tar.bz2
Source3:		http://prdownloads.sourceforge.net/elysium-project/gtk-engines-cleanice-%{cleanice_version}.tar.bz2
Source4:		http://www.xfce.org/archive/xfce-4.4.0/gtk-xfce-engine-%{xfce_version}.tar.bz2
Source5:		http://themes.freshmeat.net/redir/gtk2flat/31385/url_tgz/gtk2flat-default.tar.bz2
Source7:		Wonderland-%{wonderland_version}.tar.bz2
Url:			ftp://ftp.gnome.org/pub/GNOME/sources/gtk-engines/

BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Requires:		%{lib_name} >= %{version}
Conflicts:		ximian-artwork < 0.2.26-4mdk
Conflicts:		gnome-themes <= 2.8.2-2mdk
Conflicts:		gnome-themes-extras < 0.8.0-3mdk
Provides:		gtk-theme-clearlooks gtk-xfce-engine 
Obsoletes:		gtk-theme-clearlooks gtk-xfce-engine 

%description
These are the graphical engines for the various GTK+ toolkit themes.
Included themes are:

  - Notif
  - Redmond95
  - Pixmap
  - Metal (swing-like)
  - Many more


#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:	Library files for %{name}
Group:		System/Libraries
Requires:	gtk+2.0 >= 2.9.0
Provides:	%lib_name = %version
Conflicts:      %name < 2.8.2

%description -n %{lib_name}
Library files for %{name}


%prep
%setup -q -n %{pkgname}-%{version} -a 3 -a 4 -a 5 -a 7

%build

%configure2_5x --enable-lua
%make

cd gtk-engines-cleanice-%{cleanice_version}/
%configure2_5x
%make
cd ..

cd gtk-xfce-engine-%{xfce_version}/
%configure2_5x
%make
cd ..

cd gtk-flat-theme-2.0/
%configure2_5x
%make
cd ..

cd Wonderland-%{wonderland_version}/
%define __libtoolize /bin/true
%configure2_5x
%make
cd ..

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

cd gtk-engines-cleanice-%{cleanice_version}/
%makeinstall_std
cd ..

cd gtk-xfce-engine-%{xfce_version}/
%makeinstall_std
cd ..

cd gtk-flat-theme-2.0/
%makeinstall_std
cd ..

cd Wonderland-%{wonderland_version}/
%makeinstall_std
cd ..

#remove empty files
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/*/ICON.png \
  $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.a 

%find_lang %pkgname

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}


#--------------------------------------------------------------------

%files -f %pkgname.lang
%defattr(-,root,root)
%doc COPYING NEWS README
%{_datadir}/themes/*
%_datadir/gtk-engines/

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.so
%{_libdir}/pkgconfig/*


%changelog
* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.10.0-3mdv2007.1
+ Revision: 146579
- package smaller NEWS instead of BIG less usefull ChangeLog

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.10.0-2mdv2007.1
+ Revision: 142335
- fix buildrequires
- new version
- update file list

* Wed Mar 07 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.9.4-2mdv2007.1
+ Revision: 134510
- fix wrongly requiring devel packages (#29034)

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.9.4-1mdv2007.1
+ Revision: 126213
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.9.3-2mdv2007.1
+ Revision: 125756
- fix checkbox colour in clearlooks engine

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 2.9.3-1mdv2007.1
+ Revision: 120273
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.9.2-2mdv2007.1
+ Revision: 112338
- xfce engine 4.4.0

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.9.2-1mdv2007.1
+ Revision: 111970
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.9.1-1mdv2007.1
+ Revision: 106283
- new version
- enable lua engine

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-3mdv2007.1
+ Revision: 96467
- remove ldconfig calls

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-2mdv2007.1
+ Revision: 96222
- update xfce engine

  + Colin Guthrie <cguthrie@mandriva.org>
    - Remove the old source tarball

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-1mdv2007.1
+ Revision: 90678
- new version

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 2.8.2-2mdv2007.1
+ Revision: 86903
- add conflict to ease upgrade

* Wed Nov 22 2006 Colin Guthrie <cguthrie@mandriva.org> 2.8.2-1mdv2007.1
+ Revision: 86241
- Move the gtk requires to the lib package where it is more appropriate
- Libify the engines for the benefit of x86_64 users

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - fix gtkbinaryver macro
    - Import gtk-engines2



* Tue Oct 03 2006 Götz Waschk <waschk@mandriva.org> 2.8.1-1mdv2007.0
- New version 2.8.1

* Fri Sep  8 2006 Gtz Waschk <waschk@mandriva.org> 2.8.0-2mdv2007.0
- obsolete the gtk-xfce-engine package
- update xfce engine

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.8.0-1mdv2007.0
- New version 2.8.0

* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 2.7.8-2mdv2007.0
- drop bad patch

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.7.8-1mdv2007.0
- New release 2.7.8

* Tue Aug  8 2006 Gtz Waschk <waschk@mandriva.org> 2.7.7-1mdv2007.0
- rediff the patch
- New release 2.7.7

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.7.6-1mdv2007.0
- New release 2.7.6

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.7.5-1mdv2007.0
- drop patches 0,1
- New release 2.7.5

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.4-1mdv2007.0
- Release 2.7.4
- Patches 0, 1, 2 : fixes from Fedora

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.6.9-1mdv2007.0
- New release 2.6.9

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 2.6.8-1mdk
- New release 2.6.8

* Mon Jan  9 2006 Gtz Waschk <waschk@mandriva.org> 2.6.7-1mdk
- drop patch
- New release 2.6.7
- use mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.6-2mdk
- Patch0 (CVS): remove undefined reference

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.6.6-1mdk
- New release 2.6.6

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.6.5-2mdk
- rebuild to remove glitz dep

* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 2.6.5-1mdk
- New release 2.6.5

* Thu Jul 28 2005 Gtz Waschk <waschk@mandriva.org> 2.6.4-1mdk
- install fix
- New release 2.6.4

* Mon May 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.3-1mdk 
- fix build on x86-64

* Mon Apr 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.3-1mdk 
- Release 2.6.3 based on Götz Waschk package
- Update cleanice to 2.4.0 and its url

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk 
- Add conflicts to easy upgrade

* Tue Mar 08 2005 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- update the file list
- New release 2.6.1

* Mon Jan 10 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.6.0-4mdk 
- fix x86_64 build

* Fri Jan 07 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.6.0-3mdk 
- buildrequires

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk 
- Add conflicts with old version of ximian-artwork and gnome-themes

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- update file list
- add source URL
- New release 2.6.0

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-8mdk
- Don't ship pixmap engine, it is now part of GTK+ 2.6

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-7mdk
- new xfce engine 2.2.1

* Sat Apr  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-6mdk
- rebuild for new gtk

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 2.2.0-5mdk
- rebuild for new pkgconfig Requires

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-4mdk
- Remove Thinice, it is now in gnome-theme package

* Mon Jul 28 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.2.0-3mdk
- rebuild

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Remove crux, mist and Mandrake themes/engines, they are now in gnome-themes
- Thinice 2.0.2

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-23mdk
- Patch0: don't link crux engine with libglade/libgnomeui

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-22mdk
- Crux engine 1.9.5

* Fri Jan  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-21mdk
- Update Crux engine to 1.9.4

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-20mdk
- Ensure %%{_libdir}/gtk-2.0/%%{gtkbinaryver}/engines is owned by the package
- Enforce gtk+ version

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-19mdk
- Rebuild against gtk+ 2.1.5

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-18mdk
- Rebuild with GTK+ 2.1.3

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-17mdk
- Rebuild with GTK+ 2.1.x (Gtz Waschk)

* Wed Oct 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-16mdk
- Update xfce engine to 2.0.10

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-15mdk
- Rename Bluecurve to Wonderland (don't use RH tm)

* Mon Oct  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-14mdk
- Add BlueCurve and Mist engines

* Wed Sep 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-13mdk
- Update Mandrake theme to use white foreground for selected text

* Fri Aug 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-12mdk
- Add Mandrake theme for GTK2

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-11mdk
- XFCE 2.0.8

* Fri Jul 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-10mdk
- XFCE 2.0.7
- new Flat GTK+ engine

* Fri Jul  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-9mdk
- XFCE 2.0.6

* Wed Jun 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-8mdk
- Crux 1.9.3

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-7mdk
-  Gtz Waschk <waschk@linux-mandrake.com> :
  - add xfce engine

* Sat Jun 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.9.0-6mdk
- BuildRequires

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-5mdk
- Include Crux engine 1.9.2

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-4mdk
- Include release Crux engine 1.9.1
- Include gtk-cleanice-engine 

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-3mdk
- Fix conflicts with gtk-engines

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-2mdk
- Add thinice and crux (snapshot) for GTK+2

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-1mdk
- Release 1.9.0 (GNOME 2)

* Thu Oct  4 2001 DindinX <odin@mandrakesoft.com> 0.12-2mdk
- make rpmlint happy

* Thu Mar 22 2001 DindinX <odin@mandrakesoft.com> 0.12-1mdk
- 0.12 (bugfixes release)

* Mon Mar  5 2001 DindinX <odin@mandrakesoft.com> 0.11-1mdk
- 0.11
- removed merged patch

* Sat Nov 04 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10-5mdk
- add thinice theme and library (no more complaining about libthinice.so
  module missing!)
- specfile cleanups

* Wed Aug 16 2000 DindinX <odin@mandrakesoft.com> 0.10-4mdk
- Fix URL
- Remove unnecessary patch
- BM
- Macrozification
- Other spec fixes
- fix pixmap_path in the gtkrc files

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10-3mdk
- automatically added BuildRequires

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 0.10-2mdk
- Group fix, small specs updates

* Sun Feb 06 2000 Axalon Bloodstone <axalon@mandrakesoft.com>
- 0.10

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- reinstate constabul Odo (issues are ok, if they are known)
- 0.8

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- removed Odo (has issues)

* Fri Apr 9 1999 The Rasterman <raster@redhat.com>
- patched metal theme - fixed handlebox redraw.

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- removed some themes that were misbehaving

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- removed enlightened themes, seems to be defective

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- removed Default theme data, this comes with gtk+ package

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- added extra gtk themes

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3

* Mon Dec 18 1998 Michael Fulbright <drmike@redhat.com>
- version 0.2

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- rebuild because gtk+ version changed

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- in preparation for GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file
